%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  mSigTools
%global packver   1.0.7
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.0.7
Release:          1%{?dist}%{?buildtag}
Summary:          Mutational Signature Analysis Tools

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildArch:        noarch
BuildRequires:    R-CRAN-clue 
BuildRequires:    R-CRAN-philentropy 
BuildRequires:    R-CRAN-quadprog 
BuildRequires:    R-CRAN-sets 
Requires:         R-CRAN-clue 
Requires:         R-CRAN-philentropy 
Requires:         R-CRAN-quadprog 
Requires:         R-CRAN-sets 

%description
Utility functions for mutational signature analysis as described in
Alexandrov, L. B. (2020) <doi:10.1038/s41586-020-1943-3>. This package
provides two groups of functions. One is for dealing with mutational
signature "exposures" (i.e. the counts of mutations in a sample that are
due to each mutational signature). The other group of functions is for
matching or comparing sets of mutational signatures. 'mSigTools' stands
for mutational Signature analysis Tools.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
